summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorpommicket <pommicket@gmail.com>2023-09-25 00:06:42 -0400
committerpommicket <pommicket@gmail.com>2023-09-25 00:06:42 -0400
commit0543dfbb9b68e7386abc3ce315ccb64bb85a94b3 (patch)
treeba9b5c7b3ec56928f617dab972688e6dac501817
parent0414d5e872ccadebc5dcc04939824f921682f59a (diff)
add apt repository
-rw-r--r--README.md7
-rwxr-xr-xadd-to-repo.sh7
2 files changed, 14 insertions, 0 deletions
diff --git a/README.md b/README.md
index f31dae8..2147c06 100644
--- a/README.md
+++ b/README.md
@@ -7,6 +7,13 @@ A text editor.
To download installers for ted for Windows and Debian/Ubuntu, go to
the [releases](https://github.com/pommicket/ted/releases).
+On Debian/Ubuntu if you want automatic updates, you can also
+[add my repository to apt](https://s.pommicket.com/deb/), and just do
+
+```sh
+sudo apt install ted
+```
+
## Why?
There are a lot of text editors out there. ted doesn't do anything new.
diff --git a/add-to-repo.sh b/add-to-repo.sh
new file mode 100755
index 0000000..4718281
--- /dev/null
+++ b/add-to-repo.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+[ "$1" = "" ] && { echo "please provide path to repo"; exit 1; }
+[ -d "$1/pool/main" ] || { echo "expected $1/pool/main to exist, but it doesn't"; exit 1; }
+make ted.deb || exit 1
+VERSION=$(grep '^Version: ' control | sed 's/^Version: //' | grep '[0-9]*\.[0-9]*\.[0-9]*' || exit 1)
+cp ted.deb "$1/pool/main/ted_${VERSION}-1_amd64.deb"
+echo "Added ted v. $VERSION"